    function PlasmaInit ( )
    {
      var Modifier = '';
      Modifier = 'cellpadding="0" cellspacing="0" border="0"';
      var html = '<table id="one" style="display:block" width="100%" height="100%" ' + Modifier + ' >';
      var c = 0;
      for ( y = 0; y < 16; y++ )
      {
        html += '<tr>';
        for ( x = 0; x < 16; x++ )
        {
          html += '<td id="bufferone" style="background-color:black;" > </td>';
          c++;
        }
        html += '</tr>';
      }
      html += '</table>';

      /*
      html += '<table id="two" style="display:none" width="100%" height="100%" ' + Modifier + ' >';
      c = 0;
      for ( y = 0; y < 16; y++ )
      {
        html += '<tr>';
        for ( x = 0; x < 16; x++ )
        {
          html += '<td id="two' + c + '" style="background-color:BlueViolet;" > </td>';
          c++;
        }
        html += '</tr>';
      }
      html += '</table>';
      */
      document.all.content.innerHTML = html;
    }

    function PlasmaClose ( )
    {
      document.all.content.innerHTML = '';
    }

    function Hexadecimal ( number )
    {
      var Hex = new Array ( '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F' );
      var Retval = '';
      for ( e = 0; e < 6; e++ )
      {
        Retval = Hex[number & 0x00000F] + Retval;
        number = number / 16;
      }
      return Retval;
    }

    var Palette = new Array ( );
    var c, d;
    // blue
    for ( c = 1, d = 0; c < 16; c++, d++ )
    {
      Palette[d] = Hexadecimal ( c * 16 );
    }

    // green
    for ( c = 1; c < 16; c++, d++ )
    {
      Palette[d] = Hexadecimal ( (c * 16) << 8 );
    }

    // red
    for ( c = 1; c < 16; c++, d++ )
    {
      Palette[d] = Hexadecimal ( (c * 16) << 16 );
    }

    // red + blue
    for ( c = 1; c < 16; c++, d++ )
    {
      Palette[d] = Hexadecimal ( ( (c * 16) << 16 ) + (c * 16 ) );
    }

    var Cosinus = new Array ( );
    for ( c = 0; c < 32; c++ )
    {
      Cosinus[c] = Math.round ( ( Math.cos ( c * 3.141592653589793238 / 8 ) * 8 ) + 7 );
    }

    function Plasma ( Percentage )
    {
      var c = 0, yPart;
      var Buffer = document.all.bufferone;
      var Offset = Math.round ( Percentage * 16 / 100 );
      for ( y = 0; y < 16; y++ )
      {
        yPart = Cosinus[y + Offset];
        for ( x = 0; x < 16; x++ )
        {
          Buffer[c].style.backgroundColor = Palette[Cosinus[x + Offset] + Cosinus[x + y] + yPart];
          c++;
        }
      }
    }
/*
    var offset = 0;
    var currentBuffer = 'one';
    function swap ( )
    {
      document.all[currentBuffer].style.display = 'block';
      if ( currentBuffer == 'one' )
      {
        currentBuffer = 'two';
      }
      else
      {
        currentBuffer = 'one';
      }
      document.all[currentBuffer].style.display = 'none';
    }

    function update ( color )
    {
      var c = 0;
      screen.updateInterval = 1000;
      for ( y = 0; y < 16; y++ )
      {
        for ( x = 0; x < 16; x++ )
        {
          document.all[currentBuffer + c].style.backgroundColor = color;
          //document.all[c].style.backgroundColor = 'red';
          c++;
        }
      }
      swap ( );
      screen.updateInterval = 1;
    }

*/